<script>

//This check can be passed as an argument to an secure functions 
//in the API that you call or any secure functions you define in
//secureUserExtensions.js
var userSecurityCheck = new Function('return window');

//Define user functions below
//For example
// 
// function myFunc()
// {
//   if (top.OS == "Linux")
//   {
//      alert("I am on linux");
//   }
// }
// 
// To use this funtion in your content, you must refer to it as top.myFunc()

function launchpadStartup()
{
    var topLevel = top.STARTINGDIR;
    var chances = 3;
    if (directoryExists(NO_DISKID,topLevel+"launchpad")) {
        setEnv("mwi_launchpadroot",topLevel);
        setEnv("lpRoot",topLevel);
    } else {
        var count=0;
        while(getEnv("lpRoot") == "") {
            count++;
            var userDir = prompt("Unable to determine path", "Please enter the path to the launchpad image");
            if (directoryExists(NO_DISKID,userDir+"\launchpad")) {
                setEnv("lpRoot",userDir);
            } else {
                if (count == chances) {
                    alert("Can't locate source directory for installation media.  Click OK to exit.");
                    top.Exit()
                }
            }
        }
    }
}

//This function will launch the supplied Middleware installer.
function runMwiInstaller()
{
    runProgram('disk1',[getEnv('mwi_launchpadroot') + command('mwi')], BACKGROUND, VISIBLE);
    return;
}

function mbsPlatform()
{
    var mbsCmd = '';
    if (top.OSTYPE == "windows")
    {
        mbsCmd = "mbs_win";
    }
    else
    {
        mbsCmd = "mbs_unix";
    }
    return mbsCmd;
}

function mbsLangPlatform()
{
    var mbsLangCmd = '';
    if (top.OSTYPE == "windows")
    {
         mbsLangCmd = "mbs_lang_win";
    }
    else
    {
        mbsLangCmd = "mbs_lang_unix";
    }
    return mbsLangCmd;
}

function runPmpPsiInstaller(component)
{
    var ccmdbHome = "CTG_CCMDB_HOME";
    var exists = getEnv(ccmdbHome);

    var messagePMP = "You must install Base Services before installing the "+property('product_'+edition)+" process manager\nIf you have already installed Base Services, please restart the Launchpad.\nNote: This installation must be completed on the same machine where base services is installed.";

    if (exists == "") {
         alert(messagePMP);
         return;
    } else {
        runProgram('Process Manager', command(component), BACKGROUND,HIDDEN);
        return;
    }
}

</script>
